Skip to main content
`Ctrl`+`K`

# numpy.ufunc.nargs

attribute

ufunc.nargs

  The number of arguments.

  Data attribute containing the number of arguments the ufunc takes, including optional ones.

  Notes

  Typically this value will be one more than what you might expect because all ufuncs take the optional “out” argument.

  Examples

      >>> import numpy as np
      >>> np.add.nargs
      3
      >>> np.multiply.nargs
      3
      >>> np.power.nargs
      3
      >>> np.exp.nargs
      2